### Method

# Adw Animationplay

#### Declaration [src]

    void
    adw_animation_play (
      AdwAnimation* self
    )

#### Description [src]

Starts the animation for `self`.

If the animation is playing, paused or has been completed, restarts it from the beginning. This allows to easily play an animation regardless of whether it’s already playing or not.

Sets `AdwAnimation:state` to `ADW_ANIMATION_PLAYING`.

The animation will be automatically skipped if `AdwAnimation:widget` is unmapped, or if `GtkSettings:gtk-enable-animations` is `FALSE`.

As such, it’s not guaranteed that the animation will actually run. For example, when using `g_idle_add()` and starting an animation immediately afterwards, it’s entirely possible that the idle callback will run after the animation has already finished, and not while it’s playing.